/*
 * BRIX2.h - Library for BRIX2 modules
 * Sebastian Zehe, 2013
 */

#ifndef BRIX2_h
#define BRIX2_h

#include "Arduino.h"
#include <avr/pgmspace.h>

// define Pins
#define LED_RED      	10
#define LED_GREEN    	11
#define LED_BLUE     	13
#define RESET_PIN			12

// define RF Addresses
#define BROADCAST			0x0A        // RF broadcast address
#define LOCALCALL			0x0B        // Local call address

class BRIX2{
public:
BRIX2();
void initialize();
void statusLedOn();
void statusLedOff();
void RXTXOff();
void resetSystemController();
void setRGB(unsigned int R, unsigned int G, unsigned int B);
void setHSV(unsigned int hue, unsigned int sat, unsigned int val);
float getVoltage();
int getAddress();
boolean checkNode(byte address, int timeOut);
void sendAscii(byte address, char* text, byte length);
void sendInt(byte address, int * numbers, byte length);
void sendFloat(byte address, int * numbers, byte length);
private:

};



#endif
