///////////////////////////////////////////////////////
// RainbowLED,                                       //
// User Application,                                 //
// This example demonstrates how use setHSV() to     //
// control the brightness/color/saturation of an LED //
///////////////////////////////////////////////////////

#include <BRIX2.h>

BRIX2 myBrick;
byte gradientIndex = 0;

void setup(){
  myBrick.initialize();
}

void loop(){
  // Dimming an LED can be done by setRGB()
  // Dim up red:
  for (int red=0; red < 255; red ++){
    myBrick.setRGB(red,0,0);
    delay(20);
  }
  myBrick.setRGB(0,0,0);

  // Dimming can also done by setHSV()
  // HSV means Hue, Saturation, Value. 
  // Hue defines the color, Saturation
  // obviously defines the saturation and
  // Value defines the brightness.
  // Hue can be imagined as a gradient that
  // cycles through all the colors.
  // !! Maximum values are (360,255,255)!!
  for (int value=0; value < 255; value ++){
    myBrick.setHSV(0,255,value);
    delay(20);
  }
  myBrick.setRGB(0,0,0);
  
  // Using only the Hue, we can cycle through
  // ALL THE COLORS!
  for (int hue=0; hue < 360; hue ++){
    myBrick.setHSV(hue,255,255);
    delay(20);
  }
  myBrick.setRGB(0,0,0);
  
  // And this is how it looks like if
  // we rainbow while we change the 
  // saturation value every 5 hue steps:
  int saturation = 0;
  int hue = 0;
  int divider = 0;
  while (saturation < 255){
    divider ++;
    if (divider > 5){
      divider = 0;
      saturation ++;
    }
    hue ++;
    if (hue > 360) hue = 0;
    myBrick.setHSV(hue,saturation,255);
    delay(5);
  }
  // loop all over
}
