///////////////////////////////////////////////////////
// SerialPort,                                       //
// User Application,                                 //
// This example demonstrates how use the serial port //
// to write different types of data to the computer  //
///////////////////////////////////////////////////////

/*

For more information and examples on the topic of serial
communication from BRIX₂ to the PC and vice versa, check
out the original Arduino Examples > Communication. 

For implementing simple applications on your PC, we 
recommend the software processing (www.processing.org).
The SensorBars example can be used as a reference
application for sending (LiBRIX2>Examples>Sensor>SensorBars)
data to a processing application.

If you want to know how to communicate between BRIX₂ and 
your favorite programming language, google

arduino serial communication <my fav programming language>

*/

#include <BRIX2.h>

BRIX2 myBrick;

void setup(){
  myBrick.initialize();
  // Open the serial port with $baudrate
  Serial.begin(9600);
}

void loop(){
  // Print a text without linefeed
  Serial.print("Hello ");
  // The next line you print will be appended to the last one,
  // but has a line feed after it
  Serial.println("Computer!");
  delay(2000);
  // That way you can combine things
  int myValue = 4223;
  Serial.print("myValue is ");
  Serial.println(myValue);
  delay(2000);
  // So print() and println() can automatically convert numeric variables.
  // But it can also output them in different forms.
  Serial.print("myValue in hexadecimal is ");
  Serial.println(myValue, HEX);
  delay(2000);
  Serial.print("myValue in octal is ");
  Serial.println(myValue, OCT);
  delay(2000);
  Serial.print("myValue in binary is ");
  Serial.println(myValue, BIN);
  delay(2000);
  // So here's how you can handle floats. You can specify decimal places.
  float myFloat = 42.23161;
  for (int places = 0; places < 6; places ++){
    Serial.print("myFloat is ");
    Serial.println(myFloat, places);
    delay(500);
  }
  delay(2000);
  //start over again
}





