//////////////////////////////////////////////////////
// SystemFunctions                                  //           
// User Application                                 //
// This example demonstrates how to use the system  //
// control functions of the LiBRIX2.                //
//////////////////////////////////////////////////////

#include <BRIX2.h>

BRIX2 myBrick;

void setup(){
  Serial1.begin(38400); //this is absolutely required in order to use the system functions!
  Serial.begin(9600);
  myBrick.initialize();
}

void loop(){
  
  // Blink blue and the Status LED at the same time
  for (int i = 0;i<5;i++){
    myBrick.statusLedOn();
    myBrick.setRGB(0,0,50);
    delay(500);
    myBrick.statusLedOff();
    myBrick.setRGB(0,0,0);
    delay(500);
  }
  
  // Turn RX/TX off and cut the communication between
  // the User Controller and the System Controller.
  // Indicate this with a red LED flash.
  myBrick.setRGB(50,0,0);
  myBrick.RXTXOff();
  delay(500);
  myBrick.setRGB(0,0,0);
  
  // Now try the blue and Status LED blinking again.
  // the Status LED will not react to the command.
  for (int i = 0;i<5;i++){
    myBrick.statusLedOn();
    myBrick.setRGB(0,0,50);
    delay(500);
    myBrick.statusLedOff();
    myBrick.setRGB(0,0,0);
    delay(500);
  }
  
  // Reset the System Controller, indicated with green LED.
  // After a second, the green Status LED of the System
  // Controller will light up and the Controller is active again.
  myBrick.setRGB(0,50,0);
  myBrick.resetSystemController();
  delay(500);
  myBrick.setRGB(0,0,0);
  delay(1500);
}
