/////////////////////////////////////////////////////////////////////////////////
// HumidityLED,                                                                //
// User Application,                                                           //
// This example demonstrates how display the relative humidity on the LED      //
// using the AmbiSense Extension                                               //
// https://opensource.cit-ec.de/projects/brix2/wiki/AmbiSense_Extension_Module //
/////////////////////////////////////////////////////////////////////////////////

#include <Wire.h> // If you need Wire.h ALWAYS include it first!
#include <AmbiSenseExtension.h>
#include <BRIX2.h>


// Create Objects for Ambisense Extension and BRIX₂ Module
AmbiSenseExtension myAmbi;
BRIX2 myBrick;

void setup(){
  // Initialize the BRIX₂ Module and the AmbiSense Extension
  myBrick.initialize();
  myAmbi.initialize();  
}

void loop(){
	// Read the humidity
	float humidity = myAmbi.getHumidity();
	// Control the color of the LED
	// There's some math calculating a different humidity value.
	// Because the humidity in your area may differe, you might
	// have to adapt the value. My humidity starts at around 40
	// and goes up to around 70 when I blow on the sensor. 
	myBrick.setHSV(5*(humidity-40),255,255);
	// Wait a very short time
  delay(10);
}


