/////////////////////////////////////////////////////////////////////////////////
// InverseLight,                                                               //
// User Application,                                                           //
// Light up the LED when it gets dark using the AmbiSense Module.              //
// https://opensource.cit-ec.de/projects/brix2/wiki/AmbiSense_Extension_Module //
/////////////////////////////////////////////////////////////////////////////////

#include <Wire.h> // If you need Wire.h ALWAYS include it first!
#include <BRIX2.h>
#include <AmbiSenseExtension.h>

// Create Objects for Ambisense Extension and BRIX₂ Module
AmbiSenseExtension myAmbi;
BRIX2 myBrick;

void setup(){
  // Initialize the BRIX₂ Module and the AmbiSense Extension
  myBrick.initialize();
  myAmbi.initialize();  
}

void loop(){
	// read the visible light scaled to a range of 0 to 15000
	int visibleLight = myAmbi.getVisible(0,15000);
	// this results in values between 0 and 255, because
	// the sensor is not exposed to the full light it could
	// sense. You might have to adapt that value. 
	// calculate the inverse of the light
	int inverse = 255-visibleLight;
	// light up the LED (white)
	myBrick.setRGB(inverse,inverse,inverse);
	// wait a short while
	delay(10);
}
