//////////////////////////////////////////////////////////////////////////////////
// LightSensor,                                                                 //
// User Application,                                                            //
// This example demonstrates how read the light sensor on the AmbiSense Module. //
// https://opensource.cit-ec.de/projects/brix2/wiki/AmbiSense_Extension_Module  //
//////////////////////////////////////////////////////////////////////////////////

#include <Wire.h> // If you need Wire.h ALWAYS include it first!
#include <BRIX2.h>
#include <AmbiSenseExtension.h>

// Create Objects for Ambisense Extension and BRIX₂ Module
AmbiSenseExtension myAmbi;
BRIX2 myBrick;

void setup(){
  // Initialize the BRIX₂ Module and the AmbiSense Extension
  myBrick.initialize();
  myAmbi.initialize();  
  // Open a Serial Port
  Serial.begin(9600);
}

void loop(){
	// read the full scale visible light
	int visibleLight = myAmbi.getVisible();
  	// read the visible light scaled to a range of 0 to 200
	int infraredLight = myAmbi.getInfrared(0,200);
	// read all the light scaled to a range of 200 to 2000
	int allTheLight = myAmbi.getFullSpectrum(200,2000);
	
	// Print out the values
	Serial.print("Visible Light: ");
	Serial.println(visibleLight);
	Serial.print("Infrared: ");
	Serial.println(infraredLight);
	Serial.print("ALL THE LIGHT: ");
	Serial.println(allTheLight);
	
	// wait a while
	delay(100);
}
