/////////////////////////////////////////////////////////////////////////////////
// Temperature_Humidity,                                                       //
// User Application,                                                           //
// This example demonstrates how read the relative humidity and temperature    //
// using the AmbiSense Extension                                               //
// https://opensource.cit-ec.de/projects/brix2/wiki/AmbiSense_Extension_Module //
/////////////////////////////////////////////////////////////////////////////////

#include <Wire.h> // If you need Wire.h ALWAYS include it first!
#include <AmbiSenseExtension.h>
#include <BRIX2.h>

// Create Objects for Ambisense Extension and BRIX₂ Module
AmbiSenseExtension myAmbi;
BRIX2 myBrick;

void setup(){
  // Initialize the BRIX₂ Module and the AmbiSense Extension
  myBrick.initialize();
  myAmbi.initialize();  
  // Open a Serial Port
  Serial.begin(9600);
}

void loop(){
	// Read the values
	float temp = myAmbi.getTemperature();
	float relhum = myAmbi.getHumidity();
	// Print the values
	Serial.print("Temperature: ");
	Serial.println(temp);
	Serial.print("Relative Humidity: ");
	Serial.println(relhum);
	// Wait a short time
  delay(100);
}


