#include "Arduino.h"

/*
/////////////////////////////////////////////////////////////////////////////////////////////
// KEY MAPPINGS: WHICH KEY MAPS TO WHICH PIN ON THE MAKEY MAKEY BOARD?                     //
// More Infos: http://opensource.cit-ec.de/projects/brix2/wiki/MakeyMakey_Extension_Module //
/////////////////////////////////////////////////////////////////////////////////////////////
*/

int keyCodes[NUM_INPUTS] = {'A','B','C','D','E','F','4','5','6','#','$','%'};

/* Other keycodes (this is not a complete list):
  KEY_LEFT_ARROW,    
  KEY_RIGHT_ARROW,   
  KEY_UP_ARROW,    
  KEY_DOWN_ARROW,   
  ' ',               // Space bar
  'w',    
  'a',           
  's',         
  'd',           
  'f',             
  'g',             
  KEY_CAPS_LOCK,
  MOUSE_MOVE_UP, 
  MOUSE_MOVE_DOWN,
  MOUSE_MOVE_LEFT,
  MOUSE_MOVE_RIGHT,
  MOUSE_LEFT,       
  MOUSE_RIGHT, 
  KEY_LEFT_CTRL,
	KEY_LEFT_SHIFT,	
	KEY_LEFT_ALT,		
	KEY_LEFT_GUI,		
	KEY_RIGHT_CTRL,		
	KEY_RIGHT_SHIFT,		
	KEY_RIGHT_ALT,	
	KEY_RIGHT_GUI,		
	KEY_BACKSPACE,		
	KEY_TAB,				
	KEY_RETURN,			
	KEY_ESC,				
	KEY_INSERT,			
	KEY_DELETE,			
	KEY_PAGE_UP,			
	KEY_PAGE_DOWN,		
	KEY_HOME,
	KEY_END,				
	KEY_F1,		
	KEY_F2,						
	KEY_F12	
*/
 



///////////////////////////
// NOISE CANCELLATION /////
///////////////////////////
#define SWITCH_THRESHOLD_OFFSET_PERC  5    // number between 1 and 49
                                           // larger value protects better against noise oscillations, but makes it harder to press and release
                                           // recommended values are between 2 and 20
                                           // default value is 5

#define SWITCH_THRESHOLD_CENTER_BIAS 55   // number between 1 and 99
                                          // larger value makes it easier to "release" keys, but harder to "press"
                                          // smaller value makes it easier to "press" keys, but harder to "release"
                                          // recommended values are between 30 and 70
                                          // 50 is "middle" 2.5 volt center
                                          // default value is 55
                                          // 100 = 5V (never use this high)
                                          // 0 = 0 V (never use this low
                                          

/////////////////////////
// MOUSE MOTION /////////
/////////////////////////
#define MOUSE_MOTION_UPDATE_INTERVAL  35   // how many loops to wait between 
                                           // sending mouse motion updates
                                           
#define PIXELS_PER_MOUSE_STEP         4     // a larger number will make the mouse
                                           // move faster

#define MOUSE_RAMP_SCALE              150  // Scaling factor for mouse movement ramping
                                           // Lower = more sensitive mouse movement
                                           // Higher = slower ramping of speed
                                           // 0 = Ramping off
                                            
#define MOUSE_MAX_PIXELS              10   // Max pixels per step for mouse movement
