////////////////////////////////////////
// KnobLED,                           //
// User Application,                  //
// Shows how to use the Potentiometer // 
// Extension to control the color and //
// brightness of the RGB LED          //
////////////////////////////////////////

#include <BRIX2.h>

BRIX2 myBrick;

// define knob pins
int pot0 = A2;
int pot1 = A3;

void setup(){
  Serial1.begin(38400); //this is absolutely required in order to use the system functions!
  Serial.begin(9600);
  myBrick.initialize();
  // switch status LED off
  myBrick.statusLedOff();
}

void loop(){
  // read both knobs. The values will range from 0 to 1024.
  int value0 = analogRead(pot0);
  int value1 = analogRead(pot1);
  // map knob values to hue/saturation ranges
  int hue = map(value0,0,1024,0,360);
  int brightness = map(value1,0,1024,0,255);
  // display the color on the LED 
  myBrick.setHSV(hue,255,brightness);
}

