//////////////////////////////////////////////////////
// Proximity Game Controller,                       //
// User Application,                                //
// Use BRIX₂ with anProximity Extension Module as a //
// game controller.                                 //
// Processing sketch by Jan Tlatlik                 //
//////////////////////////////////////////////////////

#include <Wire.h> // If you need Wire.h ALWAYS include it first!
#include <BRIX2.h>
#include <ProximityExtension.h>  // let's play with the Proximity Extension

// generate Objects for Extension Module and BRIXâ‚‚ Module
ProximityExtension myProx;
BRIX2 myBrick;

void setup(){
  // initialize ALL the things!
  myBrick.initialize();
  myProx.initialize();
  Serial.begin(115200);
}

void loop(){
  // get a proximity reading, scaled from 0 to 360
  int proximity = myProx.getProximity(0,255);
  //send out data
  Serial.write(proximity);
  // wait 10 milliseconds
  delay(20);
}


// Processing Sketch by Jan Tlatlik.
// Download the Processing Environment at www.processing.org
/*
import processing.serial.*;

Serial myPort;  // Create object from Serial class
int val;      // Data received from the serial port

int pos;
int t_now, t_last;
double phi;

double ballx, bally;
int ballv = 7;

boolean started = false;

void setup() 
{
  t_last = millis();
  size(800, 600);
  // List all the available serial ports
  println(Serial.list());
  String portName = Serial.list()[0];
  myPort = new Serial(this, portName, 115200);
}

void draw()
{
  if ( myPort.available() > 0) {  // If data is available,
    val = myPort.read();         // read it and store it in val
  }
  pos = (int)((val -47)/(255.-47) * 700.);
  background(255);             // Set background to white
  //println(pos);
  fill(val); 
  t_now = millis();
  rect(pos, 550, 100, 10);
  if(!started) {
    ballx = pos + 50;
    bally = 550 - 5;
    if(t_now - t_last > 500) { //start game after 500ms
     t_last = millis();
     phi = Math.random() * (Math.PI/2)+Math.PI/4;
     started = true;
    }
  } else {
    //update ball every 5ms
    if(t_now - t_last > 5) {
      //println(phi);
      bally -= (Math.sin(phi)*ballv);
      ballx += (Math.cos(phi)*ballv);
      t_last = millis();
      if(ballx < 0) { //coll. with left wall
        ballx = -ballx;
        phi = (Math.PI - phi);
      }
      if(ballx >= 800) { //coll. with right wall
        ballx = 2*800-ballx-1;
        phi = (Math.PI - phi);
      }
      if(bally < 0) { //coll. with top wall
        bally = -bally;
        phi = -phi;
      }
      //check coll. with board.
      if(bally >= 550 && bally<=550+ballv && ballx >= pos && ballx <= pos + 100) {
        bally = 2*550-bally-1;
        phi = -phi;
        //TODO alternate phi slightly w.r.t. collision coord. on board
      }   
      if(bally > 600) {
       started=false; 
      }
    }
  } 
  ellipse((int)ballx, (int)bally, 10, 10); 
  fill(0);
}
*/
