//////////////////////////////////////////////////////
// Proximity to RGB,                                //
// User Application,                                //
// Alters the LED color depending on the distance   //
// sensed by a Proximity Extension Module           //
//////////////////////////////////////////////////////

#include <Wire.h> // If you need Wire.h ALWAYS include it first!
#include <BRIX2.h>
#include <ProximityExtension.h>  // let's play with the Proximity Extension

// generate Objects for Extension Module and BRIX₂ Module
ProximityExtension myProx;
BRIX2 myBrick;

void setup(){
  // initialize ALL the things!
  myBrick.initialize();
  myProx.initialize();
}

void loop(){
  // get a proximity reading, scaled from 0 to 360
  int proximity = myProx.getProximity(0,360);
  // set the LED color of the BRIX₂ Module according to reading
  myBrick.setHSV(proximity,255,255);
  // wait 10 milliseconds
  delay(10);
}


