///////////////////////////////////////////////
// Tilt_a_Tone,                              //
// User Application,                         //
// Shows how to use the VibroSound Extension //
// to sonify acceleration data.              //
///////////////////////////////////////////////

#include <Wire.h> // If you need Wire.h ALWAYS include it first!
#include <InertialSensor.h>
#include <BRIX2.h>
#include <VibroSoundExtension.h>

// Generate Sensor Object and BRIX₂ Object
InertialSensor mySensor;
BRIX2 myBrick;
VibroSoundExtension myBuzzer;


void setup() {
  // initialize ALL the things!
  myBrick.initialize();
  mySensor.initialize();
  myBuzzer.initialize();
}

void loop() {
  // get scaled sensor data
  int az = mySensor.getAccelerationZ(100,1000);
  // convert into sound
  myBuzzer.setPitch(az);
  // wait some milliseconds
  delay(10);
}




