///////////////////////////////////////////////
// VibroTactile,                             //
// User Application,                         //
// Shows how to use the VibroSound Extension //
// to create a haptic feedback               //
///////////////////////////////////////////////

#include <BRIX2.h>
#include <VibroSoundExtension.h>

BRIX2 myBrick;
VibroSoundExtension myVibro;

void setup(){
  myBrick.initialize();
  myVibro.initialize();
}

void loop(){
  // Vibrate with half intensity for one second
  myVibro.Shake(128,1000);

  // Ramp up vibration
  for (int i = 0;i<255;i++){
    myVibro.setVibration(i);
    delay(20);
  }

  // Ramp down vibration
  for (int i = 255;i>0;i--){
    myVibro.setVibration(i);
    delay(20);
  }
  
  // Vibrate 3 short pulses
  myVibro.Shake(255,100);
  delay(500);
  myVibro.Shake(255,100);
  delay(500);
  myVibro.Shake(255,100);
  delay(500);
}
