///////////////////////////////////////////////////////
// HIDLog,                                           //
// User Application,                                 //
// This example demonstrates how read data from the  //
// BRIX₂ motion sensor and transfer it to your       //
// computer. Just open a text editor, connect the    //
// module, tap in on the table and there's your      //
// logfile!                                          //
///////////////////////////////////////////////////////


#include <Wire.h> // If you need Wire.h ALWAYS include it first!
#include <InertialSensor.h>
#include <BRIX2.h>

// Generate Sensor Object and BRIX₂ Object
InertialSensor mySensor;
BRIX2 myBrick;

void setup() {
  // Initialize both
  myBrick.initialize();
  mySensor.initialize();
  // initialize control over the keyboard
  Keyboard.begin();
  // Wait till you smash the brick on the table
  while(1){
    int  accelerationZ = mySensor.getAccelerationX();
    if(accelerationZ < -10000) break;
  }
}

void loop() {
  // Read accelerometer/gyroscope measurements
  int ax = mySensor.getAccelerationX();
  int ay = mySensor.getAccelerationY();
  int az = mySensor.getAccelerationZ();
  int gx = mySensor.getRotationX();
  int gy = mySensor.getRotationY();
  int gz = mySensor.getRotationZ();
  // Type out data
  Keyboard.print("Acc:");
  Keyboard.print(ax);
  Keyboard.print(",");
  Keyboard.print(ay);
  Keyboard.print(",");
  Keyboard.print(az);

  Keyboard.print(" Gyr:");
  Keyboard.print(gx);
  Keyboard.print(",");
  Keyboard.print(gy);
  Keyboard.print(",");
  Keyboard.println(gz);

  delay(50);
}






