///////////////////////////////////////////////////////
// AccelerometerMouse,                               //
// User Application,                                 //
// This example demonstrates how to move hook up the //
// Accelerometer to your mouse cursor                //
///////////////////////////////////////////////////////

#include <Wire.h> // If you need Wire.h ALWAYS include it first!
#include <InertialSensor.h>
#include <BRIX2.h>

// Generate Sensor Object and BRIX₂ Object
InertialSensor mySensor;
BRIX2 myBrick;

void setup(){
	// initialize ALL the things!
  myBrick.initialize();
  mySensor.initialize();
  // initialize mouse control:
  Mouse.begin();
}

void loop(){
  // Read accelerometer measurements
  int ax = mySensor.getAccelerationX();
  int ay = mySensor.getAccelerationY();
  // Move cursor. Note that the movement is relative.
  Mouse.move(ax/1000,-ay/1000,0);
  // wait
  delay(10);
}




