///////////////////////////////////////////////////////
// SensorBars,                                       //
// User Application,                                 //
// This example demonstrates how to visualize data   //
// from the BRIX₂ motion sensor                      //
///////////////////////////////////////////////////////


#include <Wire.h> // If you need Wire.h ALWAYS include it first!
#include <InertialSensor.h>
#include <BRIX2.h>

// Generate Sensor Object and BRIX₂ Object
InertialSensor mySensor;
BRIX2 myBrick;

void setup(){
  // initialize ALL the things!
  myBrick.initialize();
  mySensor.initialize();
  // Open the serial port 
  Serial.begin(9600);
}

void loop() {
  // Read accelerometer/gyroscope measurements
  int ax = mySensor.getAccelerationX(0,300);
  int ay = mySensor.getAccelerationY(0,300);
  int az = mySensor.getAccelerationZ(0,300);
  int gx = mySensor.getRotationX(0,300);
  int gy = mySensor.getRotationY(0,300);
  int gz = mySensor.getRotationZ(0,300);
  // Print out data as csv (comma separated values)
  Serial.print(ax);
  Serial.print(",");
  Serial.print(ay);
  Serial.print(",");
  Serial.print(az);
  Serial.print(",");
  Serial.print(gx);
  Serial.print(",");
  Serial.print(gy);
  Serial.print(",");
  Serial.println(gz);
  delay(10);
}

// Processing code based on the code used in the Arduino VirtualColorMixer Example
// Download the Processing Environment at www.processing.org

/*
import processing.serial.*;

int[] sensorvalues = {0, 0, 0, 0, 0, 0};
Serial myPort;

void setup() {
  size(300, 300);
  colorMode(HSB, 6);
  rectMode(CORNERS);
  // List all the available serial ports
  println(Serial.list());
  // I know that the first port in the serial list on my mac
  // is always my  Arduino, so I open Serial.list()[0].
  // Open whatever port is the one you're using.
  myPort = new Serial(this, Serial.list()[0], 9600);
  // don't generate a serialEvent() unless you get a newline character:
  myPort.bufferUntil('\n');
}

void draw() {
  // set the background black
  background(0);
  for (int i = 0; i<6; i++) {
    fill(i, 6, 6);
    rect(0, i*50, sensorvalues[i], 50+i*50);
  }
}

void serialEvent(Serial myPort) { 
  // get the ASCII string:
  String inString = myPort.readStringUntil('\n');
  if (inString != null) {
    // use try/catch-block in case string is broken somehow
    try {
      // trim off any whitespace:
      inString = trim(inString);
      // split the string on the commas and convert the 
      // resulting substrings into an integer array:
      sensorvalues = int(split(inString, ","));
    }
    catch(Exception e) {
      print ("Error: Bad String!");
    }
  }
}
*/

