///////////////////////////////////////////////////////
// SensorReadout,                                    //
// User Application,                                 //
// This example demonstrates how to read data from   //
// the BRIX₂ motion sensor                           //
///////////////////////////////////////////////////////


#include <Wire.h> // If you need Wire.h ALWAYS include it first!
#include <InertialSensor.h>
#include <BRIX2.h>

// Generate Sensor Object and BRIX₂ Object
InertialSensor mySensor;
BRIX2 myBrick;

void setup(){
  // initialize ALL the things!
  myBrick.initialize();
  mySensor.initialize();
  // Open the serial port 
  Serial.begin(9600);
}

void loop() {
  // Read accelerometer/gyroscope measurements
  int ax = mySensor.getAccelerationX();
  int ay = mySensor.getAccelerationY();
  int az = mySensor.getAccelerationZ();
  int gx = mySensor.getRotationX();
  int gy = mySensor.getRotationY();
  int gz = mySensor.getRotationZ();

  // Print out data
  Serial.print("Acc:");
  Serial.print(ax);
  Serial.print(",");
  Serial.print(ay);
  Serial.print(",");
  Serial.print(az);

  Serial.print("  Gyr:");
  Serial.print(gx);
  Serial.print(",");
  Serial.print(gy);
  Serial.print(",");
  Serial.println(gz);
  // Wait
  delay(100);
}
