/////////////////////////////////////////////////////////////////////////////
// vim:ft=c:expandtab:ts=2:sw=2
// RF Sender/Receiver - ASCII Version
// User Application                                  
// This example is the simplest RF communication Example. By setting #define
// ROLE, you can compile it for sender or receiver.
// The receiving part works as simple, character-based RF-to-Serial bridge
/////////////////////////////////////////////////////////////////////////////

#include <BRIX2.h>

#define ROLE RECEIVER
//#define ROLE SENDER

// role definitions. don't touch!
#define SENDER 1
#define RECEIVER 0

BRIX2 myBrick;

char incomingByte;

void setup() {
  // it is important to start Serial1 in order
  // to use the RF capabilities of the BRIX2 library
  /////////////////////////////////////////////////////////////////
  // IF YOUR CODE DOES NOT WORK, check if you're really reading  //
  // and writing from Serial1 (ONE!!)                            //
  /////////////////////////////////////////////////////////////////
  myBrick.initialize();
  Serial1.begin(38400);
  Serial.begin(38400);
 
   // Blink Pink 3x
  for (int i=0; i<3; i++) {
    myBrick.setRGB(255,0,255);
    delay(10);
    myBrick.setRGB(0,0,0);
    delay(50);
  }  
  delay(2000); 
}

void loop() {
  if(ROLE == SENDER) {

    int address = 0x79; // broadcast
    char testString[45] = "The quick brown fox jumps over the lazy dog\n";
    int length = 44;
    
    myBrick.sendAscii(address, testString, length);

    myBrick.setHSV(random(360),255,255); // update color for each msg send
    delay(500);
  }

  if(ROLE == RECEIVER) {
    while(1) {
      // If there's any serial available, read it:
      //Serial.println("Waiting for RF Packets:");
      while (Serial1.available() > 0) {
        incomingByte = Serial1.read();
        // Print the three numbers in one string:
        Serial.write(incomingByte);

        // Look for the carriage return. That's the end of msg:
        if (incomingByte == '\r') {
          myBrick.setHSV(random(360),255,255); // update color for each msg recvd
        }
      }
    }
  }
}


