///////////////////////////////////////////////////////
// RF Sender/Receiver                                //
// User Application                                  //
// This example is the simplest RF communication     //
// Example. By setting #define ROLE, you can compile //
// it for sender or receiver                         //
///////////////////////////////////////////////////////

#include <BRIX2.h>

#define ROLE RECEIVER
//#define ROLE SENDER

// role definitions. don't touch!
#define SENDER 1
#define RECEIVER 0

BRIX2 myBrick;

void setup(){
  // it is important to start Serial1 in order
  // to use the RF capabilities of the BRIX2 library
  /////////////////////////////////////////////////////////////////
  // IF YOUR CODE DOES NOT WORK, check if you're really reading  //
  // and writing from Serial1 (ONE!!)                            //
  /////////////////////////////////////////////////////////////////
  Serial1.begin(38400);
  Serial.begin(38400);
  myBrick.initialize();
}

void loop(){
  if(ROLE==SENDER){
    // some random values
    int values [3];
    while(1){
      for (int i = 0;i<sizeof(values)/2;i++){
        values[i] = random(255);
      }
      // sendInt(Address, array, length)
      myBrick.sendInt(0x0A,values, 3);
      myBrick.setRGB(values[0],values[1],values[2]);
      delay(100);
    }
  }
  if(ROLE==RECEIVER){
    while(1){
      // if there's any serial available, read it:
      while (Serial1.available() > 0) {
        // look for the next valid integer in the incoming serial stream:
        int red = Serial1.parseInt(); 
        // do it again:
        int green = Serial1.parseInt(); 
        // do it again:
        int blue = Serial1.parseInt(); 
        // look for the carriage return. That's the end of your
        // sentence:
        if (Serial1.read() == '\r') {
          // display values on LED
          myBrick.setRGB(red,green,blue);
          // print the three numbers in one string:
          Serial.print(red);
          Serial.print(",");
          Serial.print(green);
          Serial.print(",");
          Serial.println(blue);
        }
      }
    }
  }
}


