void handlePacket(CCPACKET packet){
  if (packet.crc_ok && serMode == SERMODE_DATA){
    int rssi = packet.rssi;
    int lqi = packet.lqi;
    int sender = packet.data[1];
    int type = packet.data[2];
    int length = packet.data[3];
    if(sendRFStatistics){
      Serial.print("RSSI:0x");
      if (rssi < 0x10){
        Serial.print("0");
      }
      Serial.print(rssi, HEX);
      Serial.print(" LQI:0x");
      if (lqi < 0x10){
        Serial.print("0");
      }
      Serial.print(lqi, HEX);
      Serial.print(" Sender:0x");
      if (sender < 0x10){
        Serial.print("0");
      }
      Serial.print(sender,HEX);
      Serial.print(" Type:0x");
      if (type < 0x10){
        Serial.print("0");
      }
      Serial.print(type,HEX);
      Serial.print(" Length:0x");
      if (length < 0x10){
        Serial.print("0");
      }
      Serial.println(length,HEX);
      //Serial.print(" Data:");
    }
    // Transfer data to an array
    byte payLoad[packet.length-4];
    //Serial.println("Raw Payload: ");
    for (int i = 0;i<sizeof(payLoad);i++){
      payLoad[i] = packet.data[i+4];
      //Serial.print("0x");
      //Serial.println(packet.data[i],HEX);
    }

    // Check packet type
    if (type == PACKET_DATA_ASCII){
      printASCIIPacket(payLoad, length);
    }
    else if (type == PACKET_DATA_INT){
      printIntPacket(payLoad, length);
    }
    else if (type == PACKET_DATA_FLOAT){
      printFloatPacket(payLoad, length);
    }
    else if (type == PACKET_REQUEST){
      dMsg("Packet is Request...");
      if (packet.data[3]==REQ_VOLTAGE){
        handleVoltageRequest(sender);
    }
      else if (packet.data[3]==REQ_PING){
        handlePingRequest(sender, rssi, lqi);
      }
      else{
      }
    }
  }
}

void printASCIIPacket(byte *payLoad, int length){
  dMsg("Processing ASCII packet...");
  for(int i=0; i<length; i++)
  {
    Serial.write(payLoad[i]);
  }
  Serial.println("");
}

void printIntPacket(byte *payLoad, int length){
  dMsg("Processing INT packet...");
  for (int i = 0;i<length*2;i+=2){
    int number=payLoad[i];
    number = number << 8;
    number|=(payLoad[i+1]);
    //out[i/2]=number;
    if (i>0)Serial.print(",");
    Serial.print(number);
  }
  Serial.println("");
}

void printFloatPacket(byte *payLoad, int length){
}
