#define LED_RED      A2
#define LED_GREEN    A3
#define LED_BLUE     A1

/**
 * Set up all system components
 */
void setupSystem(){
  // setup LED pins
  pinMode(LED_RED, OUTPUT);
  pinMode(LED_GREEN, OUTPUT);
  pinMode(LED_BLUE, OUTPUT);
  pinMode(A2, OUTPUT);
  // set LED pins low, let the user take control
  digitalWrite(LED_RED, LOW);
  digitalWrite(LED_GREEN, LOW);
  digitalWrite(LED_BLUE, LOW);
  digitalWrite(A2,HIGH);
  // Calibrate internal RC oscillator
  rcOscCalibrate();
  // Open serial port
  Serial.begin(BAUDRATE);
  // Reset serial buffer
  memset(strSerial, 0, sizeof(strSerial));
  // Setup CC1101
  cc1101.init();
  // Set sync word
  cc1101.setSyncWord(syncWord);
  // Enable address check from the CC1101 IC
  cc1101.enableAddressCheck();
  // Get module address
  myAddress = cc1101.devAddress;

}

