#include <VibroSoundExtension.h>
#include "Arduino.h"

VibroSoundExtension::VibroSoundExtension(){

}

void VibroSoundExtension::initialize(){
  // set motor pins as output
  pinMode(6, OUTPUT);
  pinMode(5, OUTPUT);
  // set speaker pins as output
  pinMode(6, OUTPUT);
  pinMode(10, OUTPUT);
  // since we only modulate one pin of the speaker, set the other fixed
  digitalWrite(10,HIGH);
  // since we only rotate the motor forwards, set the other control pin fixed
  digitalWrite(5, LOW);
}

void VibroSoundExtension::setVibration(char intensity){
  analogWrite(6, intensity);
}

void VibroSoundExtension::Shake(char intensity, int duration){
  analogWrite(6, intensity);
  delay (duration);
  analogWrite(6, 0);
}

void VibroSoundExtension::setPitch(int pitch){
  tone(11, pitch);
}

void VibroSoundExtension::Beep (int pitch, int duration){
  tone(11, pitch,duration);
}

void VibroSoundExtension::noBeep (void){
  noTone(11);
}


